class CreateHistoricoEstimados < ActiveRecord::Migration[7.1]
  def change
    create_table :historico_estimados do |t|
      t.datetime :data_hora,             null: false
      t.decimal  :valor_total_estimado,  precision: 10, scale: 2, null: false
      t.integer  :entregas_contadas,     null: false, default: 0

      t.timestamps
    end

    add_index :historico_estimados, :data_hora
  end
end
